Subject: bug#49083: ‘guix import pypi’ fails in the absence of “sdist” releases

From: Leo Prikler <[email-masked]>
Date: Fri, 18 Jun 2021 10:56:33 +0200

Wheels are (as far as I understand) binary distributions, so they ought
to contain everything, that gets put into site-packages.  I don't think
they make for good source packages.  In particular, the jaxlib wheel
contains a bunch of shared objects and almost none of the source that
one can see on Github.

Instead of erroring out, we could try to check whether the homepage
points to a git forge and try to generate a git-reference from that. 
Failing this, we might want to set source to something, that produces
an error when read or when used as a variable, similar to how unknown
licenses are handled.

Regards,
Leo